GNU bug report logs - #34690
Emacs gets stuck in query-replace with font "Inconsolata"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Daniel Hernandez <daniel@HIDDEN>; merged with #30291; dated Thu, 28 Feb 2019 23:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 30291 34690. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Emacs gets stuck in query-replace with font "Inconsolata"' from '26.1; Emacs gets stuck when replacing text' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 3 Apr 2019 05:01:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 01:01:44 2019
Received: from localhost ([127.0.0.1]:42024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBY1w-0006fN-9X
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 01:01:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hBY1t-0006f9-Vo
 for 34690 <at> debbugs.gnu.org; Wed, 03 Apr 2019 01:01:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47853)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hBY1o-0006sx-E8; Wed, 03 Apr 2019 01:01:36 -0400
Received: from [176.228.60.248] (port=1815 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hBY1m-0001Hx-W2; Wed, 03 Apr 2019 01:01:35 -0400
Date: Wed, 03 Apr 2019 08:01:48 +0300
Message-Id: <83tvffel6r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Daniel =?utf-8?Q?Hern=C3=A1ndez?= <daniel@HIDDEN>
In-reply-to: <20190402234313.15c82333@canelo> (message from Daniel
 =?utf-8?Q?Hern=C3=A1ndez?= on Tue, 2 Apr 2019 23:43:13 -0300)
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
 <874l7hgpgd.fsf@HIDDEN> <20190402234313.15c82333@canelo>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Tue, 2 Apr 2019 23:43:13 -0300
> From: Daniel Hernández <daniel@HIDDEN>
> Cc: 34690 <at> debbugs.gnu.org
> 
> > > (custom-set-faces
> > >  ;; custom-set-faces was added by Custom.
> > >  ;; If you edit it by hand, you could mess it up, so be careful.
> > >  ;; Your init file should contain only one such instance.
> > >  ;; If there is more than one, they won't work right.
> > >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant
> > >  normal :weight normal :height 128 :width normal)))))
> > 
> > Does (setq query-replace-from-to-separator " -> ") avoid the problem
> > (as suggested in Bug#30291)?
> 
> Yes, this solve the issue in the computer where I detected the issue. I
> have another computer where that code is not needed, because there is
> no problem with the inconsolata font.

It would be good to discover where Emacs loops with the problematic
font, so we could at least try to present some meaningful error
message, if not avoid this entirely.  It would help if someone who can
reproduce the problem used the technique in etc/DEBUG for finding the
place in the code where we loop.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 3 Apr 2019 02:43:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 02 22:43:47 2019
Received: from localhost ([127.0.0.1]:41963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBVsQ-0001Gj-VR
	for submit <at> debbugs.gnu.org; Tue, 02 Apr 2019 22:43:47 -0400
Received: from sender-op-o11.zoho.com ([135.84.80.196]:17260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel@HIDDEN>) id 1hBVsO-0001GZ-DN
 for 34690 <at> debbugs.gnu.org; Tue, 02 Apr 2019 22:43:45 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1554259405; cv=none; d=zoho.com; s=zohoarc; 
 b=ct/PGkwqz5mRwjeOO4Nj0qrola6L4A3zMP1n+YA8iaf95SZZ3hT0tyzYOkk+btANJAeE40ycdUV7kTDWErFncK25rId4IMHCGz49UgJtGPbaXTvc5nQit6VvUR3i5ZiMLfogdqHuEfzoRvh+1x5cdVj88utjQDEAni4ZwFxuKDg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1554259405;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=ItjkWW5iQO6+nUGizO0Trwg6iqZ+OzBOxpwR4vKpTdg=; 
 b=RjVehMYQdCuWv7d2y+C7v/PzNeYBaQ2kW5C0Sag9g/T8zIROmaLoLruhEkuul4r3KlG3VVhI0e9t0oPSLm+nr453uWUrEvM6ivnZX2RqElP5z/eIB2SCBGIj/vXhkb9jlCOH0pIlCzSAMl8Eo0ykIGPwhJtJ9QdpXUhXxZeJk/0=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=degu.cl;
 spf=pass  smtp.mailfrom=daniel@HIDDEN;
 dmarc=pass header.from=<daniel@HIDDEN> header.from=<daniel@HIDDEN>
Received: from canelo (179.9.206.131 [179.9.206.131]) by mx.zohomail.com
 with SMTPS id 1554259402682163.1540096056483;
 Tue, 2 Apr 2019 19:43:22 -0700 (PDT)
Date: Tue, 2 Apr 2019 23:43:13 -0300
From: Daniel =?UTF-8?B?SGVybsOhbmRleg==?= <daniel@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
Message-ID: <20190402234313.15c82333@canelo>
In-Reply-To: <874l7hgpgd.fsf@HIDDEN>
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
 <874l7hgpgd.fsf@HIDDEN>
X-Mailer: Claws Mail 3.9.3 (GTK+ 2.24.23; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-ZohoMailClient: External
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Mon, 01 Apr 2019 21:34:26 -0400
Noam Postavsky <npostavs@HIDDEN> wrote:

> Daniel Hernandez <daniel@HIDDEN> writes:
> 
> > Exactly after pressing M-% to replace text, Emacs gets stuck. The
> > emacs process was using 90% of the CPU until I killed the process.
> > The problem started when I customize the font. If I comment the
> > lines that Custom added to the ".emacs" file, then the problem
> > disappeared.
> >
> > The lines added by Custom are the following:
> >
> > (custom-set-faces
> >  ;; custom-set-faces was added by Custom.
> >  ;; If you edit it by hand, you could mess it up, so be careful.
> >  ;; Your init file should contain only one such instance.
> >  ;; If there is more than one, they won't work right.
> >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant
> >  normal :weight normal :height 128 :width normal)))))
> 
> Does (setq query-replace-from-to-separator " -> ") avoid the problem
> (as suggested in Bug#30291)?

Yes, this solve the issue in the computer where I detected the issue. I
have another computer where that code is not needed, because there is
no problem with the inconsolata font.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 2 Apr 2019 01:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 01 21:34:38 2019
Received: from localhost ([127.0.0.1]:40202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hB8Jx-0004Gp-UU
	for submit <at> debbugs.gnu.org; Mon, 01 Apr 2019 21:34:38 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:45088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hB8Jt-0004GY-Np
 for 34690 <at> debbugs.gnu.org; Mon, 01 Apr 2019 21:34:34 -0400
Received: by mail-qt1-f180.google.com with SMTP id v20so13120316qtv.12
 for <34690 <at> debbugs.gnu.org>; Mon, 01 Apr 2019 18:34:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=GeblFtBr7anAvhxevTi0VJIIOK4C9MY6z7jyzU4lJCQ=;
 b=N6Iq9CmKqwcdFT/nbMB4jMoHO1W6yyVqsPnOwcRv+rO5cCc71MLY1p83HlXCmhX6M6
 3RakaqtbKW4WtSoRv+2yTlyS6X0FQFkcqJv/F8xLqf1B9PO/7l2uiOGzx9HqqLr7md+K
 qUt0Yh28HIdVcjfCjFCQDxAeygZ3QhG2Itx/wfHGdR5pIK2gLVy1RGVvYWXrjlrQpwTN
 s3Jz5lzz3WsRk86W+qe/hpaWWRAtevkNmfZH0LqNsYMaAidYSI9E9i5BFanT4FBNhBcw
 xPC46QO1t3fo5usXd0OjMwWebfdyTjBKSQ2OlU/m2VIsqpeun70ZtDQsh3gwWAMuCQ39
 n0sQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=GeblFtBr7anAvhxevTi0VJIIOK4C9MY6z7jyzU4lJCQ=;
 b=FAppHc7cSOUQEztIovD98q17sM0E3G0q2DXdDNMf7bG0gt4cyVT9hNv7cyYBfQnPbv
 nHgmyrHHMKjUovLNtm5B2TozZguNC66CvvSUtjnwby5RctgufZtMd7jwbIdzlOTkErFR
 7jdchD22srzAWOKrO0Rpek0mcqFh9fJTrjBQ4CM8K1V8v884dLAbWPxeRc66lB0/qM/d
 GoSjnHAZt1bMwrYu03bl4g8n3ye2naUFv9Xro/eHLy80pxgQbtK+PgJX+rbTT36bj+di
 NvWiPegJL5c/Voxvv+/KGjDJNMVMY3p4AhZkS+RK+txz5OSRFrNAZ2l2vEIECfTdDitO
 lRxA==
X-Gm-Message-State: APjAAAUrYrpKZ1jlQ45PKXl0r43dgsgq6n+eWsAnknzt0Tor/iQ7cnj9
 tRC364vQGQe+scdJNSZ4v3A3cER5
X-Google-Smtp-Source: APXvYqwS7a8IQYdf26/nq40M3gTVc0As3ngOUUe/Od6PFDWDDkj5gmO50LvrLpp0KSMMNULRgVA/lw==
X-Received: by 2002:a0c:d6c9:: with SMTP id l9mr55550825qvi.58.1554168868047; 
 Mon, 01 Apr 2019 18:34:28 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 a19sm6838804qtk.35.2019.04.01.18.34.26
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 01 Apr 2019 18:34:27 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Daniel Hernandez <daniel@HIDDEN>
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
Date: Mon, 01 Apr 2019 21:34:26 -0400
In-Reply-To: <16936657fad.f163838065745.7317188504607130114@HIDDEN> (Daniel
 Hernandez's message of "Thu, 28 Feb 2019 20:16:55 -0300")
Message-ID: <874l7hgpgd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Hernandez <daniel@HIDDEN> writes:

> Exactly after pressing M-% to replace text, Emacs gets stuck. The emacs
> process was using 90% of the CPU until I killed the process.  The
> problem started when I customize the font. If I comment the lines that
> Custom added to the ".emacs" file, then the problem disappeared.
>
> The lines added by Custom are the following:
>
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant
>  normal :weight normal :height 128 :width normal)))))

Does (setq query-replace-from-to-separator " -> ") avoid the problem (as
suggested in Bug#30291)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 1 Mar 2019 20:11:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 01 15:11:59 2019
Received: from localhost ([127.0.0.1]:56817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzoVj-0006Rv-0R
	for submit <at> debbugs.gnu.org; Fri, 01 Mar 2019 15:11:59 -0500
Received: from sender-op-o11.zoho.com ([135.84.80.196]:17012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel@HIDDEN>) id 1gzoVf-0006Rj-Ul
 for 34690 <at> debbugs.gnu.org; Fri, 01 Mar 2019 15:11:56 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1551471085; cv=none; d=zoho.com; s=zohoarc; 
 b=la7fqmWevn9YtvRH34Kp8rBr2fMTU6wwojyf6f06hp8MH/wsvss/LYbEgtn6XZoGXtKkxhNk/zVLFCLHO1q94mN6tQyTlAijeFec8a7tyRou4YLsUVva1f20na+4VHdhX6zL3rcTxb6itHoFOd+29W5x/XjoMze5gInMa9CggL0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1551471085;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=bvbY/+nG81EssYyuA2gXizKCbtVawoJvh9+wEuyPcoY=; 
 b=MNHruOGRIoj1ROk7zn9bLBh9O2WGd8wWsssbfQHSMd19Pfipa3o+W6pqx46Gx+C0PJXpPXJVMBVRrlyOaA66np90epg5IGKeW3KYGSetyl32MIkcRlZqO30U0eSVwoqLuSnSmUKko5bK/ogS4Q73b4lK/4m0QCiV4ANxCzi9cyg=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=degu.cl;
 spf=pass  smtp.mailfrom=daniel@HIDDEN;
 dmarc=pass header.from=<daniel@HIDDEN> header.from=<daniel@HIDDEN>
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1551471085203791.3661318093924;
 Fri, 1 Mar 2019 12:11:25 -0800 (PST)
Date: Fri, 01 Mar 2019 17:11:25 -0300
From: Daniel Hernandez <daniel@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Message-ID: <1693ae20691.c50a5c49134024.5092203110598634334@HIDDEN>
In-Reply-To: <8336o6irbj.fsf@HIDDEN>
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
 <83sgw7hwq8.fsf@HIDDEN>
 <16939b0048f.f2ea5e2472633.4280652477453658981@HIDDEN>
 <8336o6irbj.fsf@HIDDEN>
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
X-Priority: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <34690 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)




 ---- On vie, 01 mar 2019 11:48:16 -0300 Eli Zaretskii <eliz@HIDDEN> wrote ----
 > > Date: Fri, 01 Mar 2019 11:37:10 -0300 
 > > From: Daniel Hernandez <daniel@HIDDEN> 
 > > Cc: "34690" <34690 <at> debbugs.gnu.org> 
 > >  
 > >  > Does this happen with any text in any buffer, and with any search and  
 > >  > replacement strings? or just with some?  
 > >   
 > > It happens with any buffer; even with an empty one. 
 > > This problem occurs also when I only have that lines in 
 > > the ".emacs" file. 
 > >    
 > >  > > The lines added by Custom are the following:  
 > >  > >   
 > >  > > (custom-set-faces  
 > >  > >  ;; custom-set-faces was added by Custom.  
 > >  > >  ;; If you edit it by hand, you could mess it up, so be careful.  
 > >  > >  ;; Your init file should contain only one such instance.  
 > >  > >  ;; If there is more than one, they won't work right.  
 > >  > >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant  
 > >  > >  normal :weight normal :height 128 :width normal)))))  
 > >  >   
 > >  > Only with this particular font, or with any font?  
 > >   
 > > I noticed that it occurs with some font and it does not occur 
 > > with other. For instance, it does not occur with DejaVu Sans 
 > > Mono. That is, it does not occur with the following lines: 
 > >  
 > > (custom-set-faces 
 > >  ;; custom-set-faces was added by Custom. 
 > >  ;; If you edit it by hand, you could mess it up, so be careful. 
 > >  ;; Your init file should contain only one such instance. 
 > >  ;; If there is more than one, they won't work right. 
 > >  '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown" 
 > >  :slant normal :weight normal :height 98 :width normal))))) 
 >  
 > Can you try the latest pretest of Emacs 26.2?  Maybe this problem is 
 > already fixed. 
 >  
 > If Emacs 26.2 also has this problem, the next step is to attach GDB to 
 > Emacs when this happens and use the technique described in etc/DEBUG 
 > to find out where it loops. 
 
I will try with the latest pretest of Emacs 26.2 (probably the next week).

 > > Another detail. When it occurs the text "Query replace:" is 
 > > not showed. 
 >  
 > This is consistent with redisplay looping. 
 > 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 1 Mar 2019 14:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 01 09:48:42 2019
Received: from localhost ([127.0.0.1]:55981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzjSs-0005A4-Fo
	for submit <at> debbugs.gnu.org; Fri, 01 Mar 2019 09:48:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gzjSr-00059o-1F
 for 34690 <at> debbugs.gnu.org; Fri, 01 Mar 2019 09:48:41 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49343)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gzjSl-00076m-LO; Fri, 01 Mar 2019 09:48:35 -0500
Received: from [176.228.60.248] (port=2779 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gzjSk-000067-Us; Fri, 01 Mar 2019 09:48:35 -0500
Date: Fri, 01 Mar 2019 16:48:16 +0200
Message-Id: <8336o6irbj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Daniel Hernandez <daniel@HIDDEN>
In-reply-to: <16939b0048f.f2ea5e2472633.4280652477453658981@HIDDEN> (message
 from Daniel Hernandez on Fri, 01 Mar 2019 11:37:10 -0300)
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
 <83sgw7hwq8.fsf@HIDDEN>
 <16939b0048f.f2ea5e2472633.4280652477453658981@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Fri, 01 Mar 2019 11:37:10 -0300
> From: Daniel Hernandez <daniel@HIDDEN>
> Cc: "34690" <34690 <at> debbugs.gnu.org>
> 
>  > Does this happen with any text in any buffer, and with any search and 
>  > replacement strings? or just with some? 
>  
> It happens with any buffer; even with an empty one.
> This problem occurs also when I only have that lines in
> the ".emacs" file.
>   
>  > > The lines added by Custom are the following: 
>  > >  
>  > > (custom-set-faces 
>  > >  ;; custom-set-faces was added by Custom. 
>  > >  ;; If you edit it by hand, you could mess it up, so be careful. 
>  > >  ;; Your init file should contain only one such instance. 
>  > >  ;; If there is more than one, they won't work right. 
>  > >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant 
>  > >  normal :weight normal :height 128 :width normal))))) 
>  >  
>  > Only with this particular font, or with any font? 
>  
> I noticed that it occurs with some font and it does not occur
> with other. For instance, it does not occur with DejaVu Sans
> Mono. That is, it does not occur with the following lines:
> 
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown"
>  :slant normal :weight normal :height 98 :width normal)))))

Can you try the latest pretest of Emacs 26.2?  Maybe this problem is
already fixed.

If Emacs 26.2 also has this problem, the next step is to attach GDB to
Emacs when this happens and use the technique described in etc/DEBUG
to find out where it loops.

> Another detail. When it occurs the text "Query replace:" is
> not showed.

This is consistent with redisplay looping.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 1 Mar 2019 14:39:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 01 09:39:08 2019
Received: from localhost ([127.0.0.1]:55962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzjJc-0004uf-1E
	for submit <at> debbugs.gnu.org; Fri, 01 Mar 2019 09:39:08 -0500
Received: from sender-op-o11.zoho.com ([135.84.80.196]:17062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel@HIDDEN>) id 1gzjJZ-0004uS-4T
 for 34690 <at> debbugs.gnu.org; Fri, 01 Mar 2019 09:39:06 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1551451134; cv=none; d=zoho.com; s=zohoarc; 
 b=m1463BAHrIF5jaOpdIXnpdO67stlACj3pZ9sRqDZ1PJJzSEYOtK4cDG6RsVSIvcnIL39CIP+9yQS3g9q83T5uNWAslGQp7DjtZc+Le00qKR78d32EG9Z9fg/JjLodSi6NRQEIDqrsoLQiQhfqexkV3pIDuKUISINF8pqYxVGh4g=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1551451134;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=jt66dSYUp/WCTwjJrNpZKcSQRG+Zcyf6sF48d752nuo=; 
 b=SVgPqy6+RZq92e8BLTFp+leuRKuKeUofSfNfDIq/ZIAKsZ2xwlmTNOidaDGZo7NhJLkNU/+zMiY9MswgWBwAX19WHj6oZEHdhEP7wsWKHJOn28q4TSsGzxpbWzywLIOiFAFlRv88twlZXcfDs37jLdCfr6YtA7NgkR1urz9eNP0=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=degu.cl;
 spf=pass  smtp.mailfrom=daniel@HIDDEN;
 dmarc=pass header.from=<daniel@HIDDEN> header.from=<daniel@HIDDEN>
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1551451030673380.14601304954124;
 Fri, 1 Mar 2019 06:37:10 -0800 (PST)
Date: Fri, 01 Mar 2019 11:37:10 -0300
From: Daniel Hernandez <daniel@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Message-ID: <16939b0048f.f2ea5e2472633.4280652477453658981@HIDDEN>
In-Reply-To: <83sgw7hwq8.fsf@HIDDEN>
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
 <83sgw7hwq8.fsf@HIDDEN>
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
X-Priority: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <34690 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 ---- On vie, 01 mar 2019 04:36:47 -0300 Eli Zaretskii <eliz@HIDDEN> wrote ---- 
 > > Date: Thu, 28 Feb 2019 20:16:55 -0300 
 > > From: Daniel Hernandez <daniel@HIDDEN> 
 > >  
 > >  
 > > Exactly after pressing M-% to replace text, Emacs gets stuck. The emacs 
 > > process was using 90% of the CPU until I killed the process.  The 
 > > problem started when I customize the font. If I comment the lines that 
 > > Custom added to the ".emacs" file, then the problem disappeared. 
 >  
 > Does this happen with any text in any buffer, and with any search and 
 > replacement strings? or just with some? 
 
It happens with any buffer; even with an empty one.
This problem occurs also when I only have that lines in
the ".emacs" file.
  
 > > The lines added by Custom are the following: 
 > >  
 > > (custom-set-faces 
 > >  ;; custom-set-faces was added by Custom. 
 > >  ;; If you edit it by hand, you could mess it up, so be careful. 
 > >  ;; Your init file should contain only one such instance. 
 > >  ;; If there is more than one, they won't work right. 
 > >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant 
 > >  normal :weight normal :height 128 :width normal))))) 
 >  
 > Only with this particular font, or with any font? 
 
I noticed that it occurs with some font and it does not occur
with other. For instance, it does not occur with DejaVu Sans
Mono. That is, it does not occur with the following lines:

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown"
 :slant normal :weight normal :height 98 :width normal)))))

Another detail. When it occurs the text "Query replace:" is
not showed.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at 34690 <at> debbugs.gnu.org:


Received: (at 34690) by debbugs.gnu.org; 1 Mar 2019 07:37:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 01 02:37:09 2019
Received: from localhost ([127.0.0.1]:55727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzcjE-0000le-SV
	for submit <at> debbugs.gnu.org; Fri, 01 Mar 2019 02:37:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gzcjD-0000lS-CO
 for 34690 <at> debbugs.gnu.org; Fri, 01 Mar 2019 02:37:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59300)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gzcj7-0003un-U2; Fri, 01 Mar 2019 02:37:02 -0500
Received: from [176.228.60.248] (port=3595 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gzcj7-0003bY-HN; Fri, 01 Mar 2019 02:37:01 -0500
Date: Fri, 01 Mar 2019 09:36:47 +0200
Message-Id: <83sgw7hwq8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Daniel Hernandez <daniel@HIDDEN>
In-reply-to: <16936657fad.f163838065745.7317188504607130114@HIDDEN> (message
 from Daniel Hernandez on Thu, 28 Feb 2019 20:16:55 -0300)
Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text
References: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34690
Cc: 34690 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Thu, 28 Feb 2019 20:16:55 -0300
> From: Daniel Hernandez <daniel@HIDDEN>
> 
> 
> Exactly after pressing M-% to replace text, Emacs gets stuck. The emacs
> process was using 90% of the CPU until I killed the process.  The
> problem started when I customize the font. If I comment the lines that
> Custom added to the ".emacs" file, then the problem disappeared.

Does this happen with any text in any buffer, and with any search and
replacement strings? or just with some?

> The lines added by Custom are the following:
> 
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant
>  normal :weight normal :height 128 :width normal)))))

Only with this particular font, or with any font?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2019 23:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 28 18:52:18 2019
Received: from localhost ([127.0.0.1]:55630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzVTN-0004IB-1H
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 18:52:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel@HIDDEN>) id 1gzVAc-0003q9-6S
 for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 18:32:54 -0500
Received: from lists.gnu.org ([209.51.188.17]:37018)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <daniel@HIDDEN>) id 1gzVAX-0007Vv-1R
 for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 18:32:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37369)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <daniel@HIDDEN>) id 1gzVAU-0007AZ-KL
 for bug-gnu-emacs@HIDDEN; Thu, 28 Feb 2019 18:32:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <daniel@HIDDEN>) id 1gzVAQ-0007Sc-FF
 for bug-gnu-emacs@HIDDEN; Thu, 28 Feb 2019 18:32:44 -0500
Received: from sender-op-o11.zoho.com ([135.84.80.196]:17057)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <daniel@HIDDEN>) id 1gzVAH-0007Lz-Gl
 for bug-gnu-emacs@HIDDEN; Thu, 28 Feb 2019 18:32:34 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1551395816; cv=none; d=zoho.com; s=zohoarc; 
 b=OAWS2xY0TuR649u3429CdLZnJl165DH9xBosSAdhjwosNv/syWTFUyhmmrLPjhpUMo2N+nlAWqHuICXoJ7lmXSHeDJX/hMWy/cNj+nK8//zeJl7KlniuW8R080yMdFdMiVdj0Wt41aWtjnIoR1fO6ZipCHwjUFUZYFOmznn8AkM=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1551395816;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To:ARC-Authentication-Results;
 bh=/PVpsj0ge8kwWijgnp/17GrlqiMzLvbtBAA35M3CDmE=; 
 b=mTx/smKzQgKSjHFbk5zKiLwSug/PEIoCFP9inN+jDjkawKBcJNi+SNLabASyWDKt3QVTy5WxDwzmXAbCDl0o6R1/VO6+GfKn5ckm2Rsii5wIn3AmOV1IVUYLOH0Ot2BlGWZSlVyLGjKyoP8Z87iXiowKkqmlvCWkB4vOv2cpDOc=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=degu.cl;
 spf=pass  smtp.mailfrom=daniel@HIDDEN;
 dmarc=pass header.from=<daniel@HIDDEN> header.from=<daniel@HIDDEN>
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1551395815342714.8424091045262;
 Thu, 28 Feb 2019 15:16:55 -0800 (PST)
Date: Thu, 28 Feb 2019 20:16:55 -0300
From: Daniel Hernandez <daniel@HIDDEN>
To: "bug-gnu-emacs" <bug-gnu-emacs@HIDDEN>
Message-ID: <16936657fad.f163838065745.7317188504607130114@HIDDEN>
In-Reply-To: 
Subject: 26.1; Emacs gets stuck when replacing text
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
X-Priority: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 135.84.80.196
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 28 Feb 2019 18:52:16 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


Exactly after pressing M-% to replace text, Emacs gets stuck. The emacs
process was using 90% of the CPU until I killed the process.  The
problem started when I customize the font. If I comment the lines that
Custom added to the ".emacs" file, then the problem disappeared.

The lines added by Custom are the following:

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:family "Inconsolata" :foundry "unknown" :slant
 normal :weight normal :height 128 :width normal)))))


In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.10.8)
 of 2019-02-14 built on canelo
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description:	Linux Mint 17.2 Rafaela

Recent messages:
Wrote /home/daniel/*message*-20190228-194721
Mark set
Saving file /home/daniel/.emacs...
Wrote /home/daniel/.emacs [2 times]
Sending...
Mark set [2 times]
Sending via mail...
Sending...done
next-line: End of buffer [3 times]
previous-line: Beginning of buffer
next-line: End of buffer
Configured using:
 'configure --with-mailutils'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LCMS2

Important settings:
  value of $LC_MONETARY: es_CL.UTF-8
  value of $LC_NUMERIC: es_CL.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(mailalias mailclient browse-url cus-edit cus-start cus-load wid-edit
help-mode pp shadow sort mail-extr emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils elec-pair tango-dark-theme finder-inf
d-mode-autoloads tex-site markdown-mode-autoloads info package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 146020 19963)
 (symbols 48 24194 2)
 (miscs 40 121 187)
 (strings 32 40397 1608)
 (string-bytes 1 1124254)
 (vectors 16 18662)
 (vector-slots 8 541854 9664)
 (floats 8 66 297)
 (intervals 56 580 0)
 (buffers 992 16)
 (heap 1024 37193 1716))








Acknowledgement sent to Daniel Hernandez <daniel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34690; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Apr 2019 11:15:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.